package uca.baptistearthur.geocaching.recyclerview

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import androidx.recyclerview.widget.RecyclerView
import androidx.recyclerview.widget.RecyclerView.Adapter
import uca.baptistearthur.geocaching.R
import uca.baptistearthur.geocaching.model.RoadTrip


class RoadTripAdapter (val voyages: List<RoadTrip>) : Adapter<RoadTripViewHolder>(){

    override fun onBindViewHolder(holder: RoadTripViewHolder, position: Int) {
        holder.itemView.findViewById<Button>(R.id.btnGetRoadTripsInfo).text = "test"
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RoadTripViewHolder {
        return RoadTripViewHolder(LayoutInflater.from(parent.context).inflate(R.layout.cell_one_roadtrip, parent, false))
    }

    override fun getItemCount(): Int {
        return voyages.size
    }
}